<?php
declare(strict_types=1);

namespace Inti\Media\Container;

use Inti\Media\Service\ImageManager;
use Inti\Wp\Provider\Service\IdManager;
use Laminas\Filter\FilterPluginManager;
use Psr\Container\ContainerInterface;

/**
 * Class ImageManagerFactory
 *
 * @package Inti\Media\Container
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-media
 */
final class ImageManagerFactory
{
    public function __invoke(ContainerInterface $container): ImageManager
    {
        $config = $container->has('config') ? $container->get('config') : [];
        $config = $config['media'][ImageManager::class] ?? [];
        $filters = $container->get(FilterPluginManager::class);

        if (!is_dir($config['root'])) {
            mkdir($config['root'], 0777, true);
        }

        return new ImageManager(
            $config['root'] ?? '',
            IdManager::instance(),
            $filters->get('sanitizepath')
        );
    }
}
