<?php
declare(strict_types=1);

namespace Inti\Media\Provider;

use Inti\Media\Service\ImageManager;
use Psr\Container\ContainerInterface;

/**
 * Class ImageProviderFactory
 *
 * @package Inti\Media\Provider
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-media
 */
final class ImageProviderFactory
{
    public function __invoke(ContainerInterface $container): ImageProvider
    {
        return new ImageProvider(
            $container->get(ImageManager::class)
        );
    }
}
